Package org.apache.storm.daemon.nimbus

# Class Nimbus.StandaloneINimbus

java.lang.Object
org.apache.storm.daemon.nimbus.Nimbus.StandaloneINimbus

All Implemented Interfaces:
  `INimbus`

Enclosing class:
  Nimbus

public static class Nimbus.StandaloneINimbus extends Object implements INimbus

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandaloneINimbus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<WorkerSlot>`
  `allSlotsAvailableForScheduling(Collection<SupervisorDetails> supervisors, Topologies topologies, Set<String> topologiesMissingAssignments)`
  Returns all slots that are available for the next round of scheduling.
  `void`
  `assignSlots(Topologies topologies, Map<String,Collection<WorkerSlot>> newSlotsByTopologyId)`
  this is called after the assignment is changed in ZK.
  `IScheduler`
  `getForcedScheduler()`
  `String`
  `getHostName(Map<String,SupervisorDetails> supervisors, String nodeId)`
  map from node id to supervisor details.
  `void`
  `prepare(Map<String,Object> topoConf, String schedulerLocalDir)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandaloneINimbus

    public StandaloneINimbus()

- ## Method Details

  - ### prepare

    public void prepare(Map<String,Object> topoConf, String schedulerLocalDir)
    Specified by:
      `prepare` in interface `INimbus`

  - ### allSlotsAvailableForScheduling

    public Collection<WorkerSlot> allSlotsAvailableForScheduling(Collection<SupervisorDetails> supervisors, Topologies topologies, Set<String> topologiesMissingAssignments)
    Description copied from interface: `INimbus`
    Returns all slots that are available for the next round of scheduling. A slot is available for scheduling if it is free and can be assigned to, or if it is used and can be reassigned.
    Specified by:
      `allSlotsAvailableForScheduling` in interface `INimbus`

  - ### assignSlots

    public void assignSlots(Topologies topologies, Map<String,Collection<WorkerSlot>> newSlotsByTopologyId)
    Description copied from interface: `INimbus`
    this is called after the assignment is changed in ZK.
    Specified by:
      `assignSlots` in interface `INimbus`

  - ### getHostName

    public String getHostName(Map<String,SupervisorDetails> supervisors, String nodeId)
    Description copied from interface: `INimbus`
    map from node id to supervisor details.
    Specified by:
      `getHostName` in interface `INimbus`

  - ### getForcedScheduler

    public IScheduler getForcedScheduler()
    Specified by:
      `getForcedScheduler` in interface `INimbus`